=== src/docs/tex/Makefile ===
all:
	pdflatex ufo-manual_EN.tex
	pdflatex ufo-manual_EN.tex

clean:
	-rm -f chapters/*.aux
	-rm -f *.aux *.log *.out *.toc *.pdf *.pdfsync
