=== debian/changelog ===
ufoai (2.5-9) unstable; urgency=medium

  * Support DoubleBuild. Override dh_auto_build and
    properly clean up the source tree after successful builds.
    (Closes: #1047101)
  * Declare compliance with Debian Policy 4.7.2.
  * Use debian/watch version 4 standard.

 -- Markus Koschany <apo@debian.org>  Sun, 26 Oct 2025 19:54:46 +0100

ufoai (2.5-8) unstable; urgency=medium

  * Team Upload
  * Set Rules-Requires-Root: no
  * Replace obsolete pkg-config with pkgconf

  [ Debian Janitor ]
  * Apply multi-arch hints.
  * Remove constraints unnecessary since buster (oldstable)
  * Trim trailing whitespace.
  * Set upstream metadata fields: Archive, Bug-Database.

 -- Alexandre Detiste <tchet@debian.org>  Mon, 02 Dec 2024 12:25:02 +0100

ufoai (2.5-7) unstable; urgency=medium

  * Declare compliance with Debian Policy 4.6.2.
  * Use https for homepage and source field.
  * Mark ufoai-common and ufoai-misc as Multi-Arch: foreign.
  * ufoai-server.service: Set WorkingDirectory to /usr/lib/ufoai-server.
    Thanks to Jarno van der Kolk for the report. (Closes: #1020309)
  * Use dh_missing --list-missing.

 -- Markus Koschany <apo@debian.org>  Wed, 01 Mar 2023 23:20:41 +0100

ufoai (2.5-6) unstable; urgency=medium

  * Switch to debhelper-compat = 13.
  * Drop the map editor uforadiant because it depends on deprecated GTK 2
    libraries which will be removed from Debian.
    (Closes: #885685, #967786, #947664)

 -- Markus Koschany <apo@debian.org>  Sat, 14 Nov 2020 20:31:35 +0100

ufoai (2.5-5) unstable; urgency=medium

  * Switch to debhelper-compat = 12.
  * Declare compliance with Debian Policy 4.5.0.
  * Add bug-949301-mxml.patch and fix invalid use of incomplete type
    mxml_node_t. (Closes: #949301)

 -- Markus Koschany <apo@debian.org>  Sun, 23 Feb 2020 15:30:56 +0100

ufoai (2.5-4) unstable; urgency=medium

  * Switch to compat level 11.
  * Declare compliance with Debian Policy 4.2.1.
  * Use canonical VCS URI.

 -- Markus Koschany <apo@debian.org>  Fri, 14 Dec 2018 14:52:28 +0000

ufoai (2.5-3) unstable; urgency=medium

  * Add segfault-reactionfire-mode-bug-861979.patch and fix the segmentation
    fault on determining reactionfire mode when soldier has no weapon. Thanks
    to Robert Hackbauer for the report. (Closes: #861979)

 -- Markus Koschany <apo@debian.org>  Sun, 07 May 2017 18:50:58 +0200

ufoai (2.5-2) unstable; urgency=medium

  * Add pathfinding.odg to GFDL license block.
  * Add initialize-entityString.patch and fix the segmentation faults
    which occur with the map compiler ufo2map.
    Thanks to Bernhard Übelacker for the analysis. (Closes: #860680)

 -- Markus Koschany <apo@debian.org>  Tue, 25 Apr 2017 14:35:06 +0200

ufoai (2.5-1) unstable; urgency=medium

  * Initial release (Closes: #244582)

 -- Markus Koschany <apo@debian.org>  Sun, 22 Nov 2015 18:40:56 +0100
