=== debian/control ===
Source: ufoai
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Markus Koschany <apo@debian.org>
Build-Depends:
 bash-completion,
 debhelper-compat (= 13),
 gettext,
 libcunit1-dev,
 libcurl4-gnutls-dev | libcurl4-openssl-dev | libcurl-dev,
 libglib2.0-dev,
 libjpeg-dev,
 libmxml-dev,
 libogg-dev,
 libopenal-dev,
 libpng-dev,
 libsdl2-mixer-dev,
 libsdl2-ttf-dev,
 libsdl2-dev,
 libtheora-dev,
 libvorbis-dev,
 libxml2-dev,
 libxvidcore-dev,
 pkgconf,
 texlive-latex-base,
 texlive-latex-extra,
 texlive-latex-recommended,
 zip,
 zlib1g-dev
Rules-Requires-Root: no
Standards-Version: 4.7.2
Homepage: https://ufoai.org
Vcs-Git: https://salsa.debian.org/games-team/ufoai.git
Vcs-Browser: https://salsa.debian.org/games-team/ufoai

Package: ufoai
Architecture: any
Depends:
 fonts-dejavu,
 ufoai-common (>= ${source:Version}),
 ufoai-data,
 ufoai-maps,
 ufoai-misc (>= ${source:Version}),
 ufoai-sound,
 ufoai-textures,
 ${misc:Depends},
 ${shlibs:Depends}
Recommends:
 ufoai-music
Suggests:
 ufoai-server
Description: UFO: Alien Invasion -- build your team and stop the aliens
 UFO: Alien Invasion is a squad-based tactical strategy game in the tradition
 of the old X-COM PC games. It combines military realism with hard
 science-fiction and the weirdness of an alien invasion. The carefully
 constructed turn-based system gives you pin-point control of your squad while
 maintaining a sense of pace and danger.
 .
 UFO:AI has two main modes of play: Geoscape mode and Tactical mode.
 .
 In Geoscape mode you manage the activities and finances of PHALANX, a secret
 organisation charged with defending Earth from a brutal alien enemy. You
 control bases, installations, aircraft and squads of armed-response troops.
 You will research new technologies and use their results in battle against the
 aliens. You can build, buy and produce anything you like, as long as your
 technology level and your budget will allow it. Easy-to-use time buttons make
 it possible to control the passage of time.
 .
 In Tactical mode the game is about taking command of your team in various
 missions to combat the aliens wherever they might appear. Tactical mode uses a
 turn-based system, where your team and the aliens take turns to make moves.
 You can order your troops around, fire their weapons, throw grenades and use
 other equipment. All actions require Time Units to perform. Once a soldier is
 out of Time Units, he or she can't do anything more until the next turn. Your
 mission objectives will vary for each mission and there are many to perform as
 the aliens' terrifying plot unfolds. You'll have to watch your back, be quick
 on your feet and take the fight to them.
 .
 If you don't, humanity is doomed.

Package: ufoai-misc
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends}
Description: UFO: Alien Invasion -- miscellaneous files and documentation
 It is the year 2084. You control a secret organisation charged with defending
 Earth from a brutal alien enemy. Build up your bases, prepare your team, and
 dive head-first into the fast and flowing turn-based combat.
 .
 This package contains architecture-independent data for the game UFO: Alien
 Invasion like language files and documentation.

Package: ufoai-common
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends}
Description: UFO: Alien Invasion -- scripts and configuration files
 It is the year 2084. You control a secret organisation charged with defending
 Earth from a brutal alien enemy. Build up your bases, prepare your team, and
 dive head-first into the fast and flowing turn-based combat.
 .
 This package contains scripts and configuration files for UFO: Alien Invasion
 which are useful for client and server.

Package: ufoai-server
Architecture: any
Depends:
 adduser,
 ufoai-common (>= ${source:Version}),
 ufoai-maps,
 ${misc:Depends},
 ${shlibs:Depends}
Suggests:
 ufoai
Description: UFO: Alien Invasion -- dedicated server
 It is the year 2084. You control a secret organisation charged with defending
 Earth from a brutal alien enemy. Build up your bases, prepare your team, and
 dive head-first into the fast and flowing turn-based combat.
 .
 This package contains the dedicated game server for UFO: Alien Invasion. It is
 only needed if you want to setup a permanent game server.

Package: ufoai-tools
Section: graphics
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Suggests:
 bash-completion,
 ufoai
Description: UFO: Alien Invasion -- developer tools
 It is the year 2084. You control a secret organisation charged with defending
 Earth from a brutal alien enemy. Build up your bases, prepare your team, and
 dive head-first into the fast and flowing turn-based combat.
 .
 This package contains developer tools for UFO: Alien Invasion.
 .
  * ufo2map
  * ufomodel
  * ufoslicer
